Difference between revisions of "Draft Facebinder/tr"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
 
(11 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
{{Docnav
 +
|[[Draft_ShapeString|ShapeString]]
 +
|[[Draft_BezCurve|Bezier Curve]]
 +
|[[Draft_Module|Draft]]
 +
|IconL=Draft_ShapeString.svg
 +
|IconC=Workbench_Draft.svg
 +
|IconR=Draft_BezCurve.svg
 +
}}
 +
 +
<div class="mw-translate-fuzzy">
 
{{GuiCommand/tr
 
{{GuiCommand/tr
 
|Name=Yüz kaplama
 
|Name=Yüz kaplama
Line 9: Line 19:
 
|Version=0.14
 
|Version=0.14
 
}}
 
}}
 +
</div>
  
 
== Açıklama ==
 
== Açıklama ==
Line 21: Line 32:
 
== Nasıl kullanılır ==
 
== Nasıl kullanılır ==
  
<div class="mw-translate-fuzzy">
 
 
# Bir yüz seçin veya {{KEY | Ctrl}} tuşunu basılı tutun ve katı nesnelerden birkaç yüz seçin.  
 
# Bir yüz seçin veya {{KEY | Ctrl}} tuşunu basılı tutun ve katı nesnelerden birkaç yüz seçin.  
# {{Button | [[Image: Draft_Facebinder.png | 16px]] [[Draft_Facebinder/tr |Taslak Yüz kaplama]}} düğmesine basın veya {{KEY | F}} ardından {{KEY | F}} tuşlarına basın.
+
# {{Button | [[Image: Draft_Facebinder.png | 16px]] [[Draft_Facebinder/tr |Taslak Yüz kaplama]]}} düğmesine basın veya {{KEY | F}} ardından {{KEY | F}} tuşlarına basın.
</div>
 
  
 
Yüz kaplama, ağaç görünümündeki öğeye çift tıklayarak düzenlenebilir. Sonra nesnenin parçası olan yüzleri değiştirebilirsiniz.  
 
Yüz kaplama, ağaç görünümündeki öğeye çift tıklayarak düzenlenebilir. Sonra nesnenin parçası olan yüzleri değiştirebilirsiniz.  
Line 40: Line 49:
 
* {{PropertyData | Sew}}: {{TRUE}} ise, Ekstrüder üzerine ekstrüzyon sırasında topolojik bir dikiş işlemi gerçekleştirmeye çalışır.
 
* {{PropertyData | Sew}}: {{TRUE}} ise, Ekstrüder üzerine ekstrüzyon sırasında topolojik bir dikiş işlemi gerçekleştirmeye çalışır.
  
 +
<div class="mw-translate-fuzzy">
 
=== Görünüm ===  
 
=== Görünüm ===  
 
* {{PropertyView | Pattern}}: şeklin yüzünü doldurmak için bir [[Draft Pattern/tr|Taslak Deseni]] belirtir. Bu özellik yalnızca {{PropertyView | Display Mode}} "Düz Çizgiler" ise çalışır.  
 
* {{PropertyView | Pattern}}: şeklin yüzünü doldurmak için bir [[Draft Pattern/tr|Taslak Deseni]] belirtir. Bu özellik yalnızca {{PropertyView | Display Mode}} "Düz Çizgiler" ise çalışır.  
 
* {{PropertyView | Pattern Size}}: [[Draft Pattern/tr|Taslak Deseni]] 'nin boyutunu belirtir.
 
* {{PropertyView | Pattern Size}}: [[Draft Pattern/tr|Taslak Deseni]] 'nin boyutunu belirtir.
 +
</div>
  
 +
<div class="mw-translate-fuzzy">
 
== Betik ==
 
== Betik ==
 
{{Emphasis|Ayrıca bkz.:}} [[Draft API/tr|Taslak API]] ve [[FreeCAD Scripting Basics/tr|FreeCAD Betik esasları]].
 
{{Emphasis|Ayrıca bkz.:}} [[Draft API/tr|Taslak API]] ve [[FreeCAD Scripting Basics/tr|FreeCAD Betik esasları]].
 +
</div>
  
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">
Yüz kaplama aracı, aşağıdaki işlevler kullanılarak komut dosyalarında ve [[macros/tr|makrolar]] içinde kullanılabilir:
+
Yüz kaplama aracı, aşağıdaki işlevi kullanarak [[macros/tr|makrolar]] ve [[Python/tr|Python]] konsolundan kullanılabilir:
 
</div>
 
</div>
 
{{Code|code=
 
{{Code|code=
Facebinder = makeFacebinder(selectionset, name="Facebinder")
+
Facebinder = makeFacebinder(selectionset)
 
}}
 
}}
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">
* Verilen seçim kümesinden, FreeCADGui.Selection.getSelectionEx () yönteminin döndürdüğü gibi seçim nesnelerinin bir listesi olan bir yüz kaplama nesnesi oluşturur.
+
* Bir {{incode | Facebinder}} nesnesini, {{incode | FreeCADGui.Selection.getSelectionEx()}} tarafından döndürülenler gibi {{incode | SelectionObject}} 'ların bir listesi olan verilen {{incode | choiceset}} nesnesinden oluşturur.  
 
* Sadece seçilen yüzler dikkate alınır.
 
* Sadece seçilen yüzler dikkate alınır.
* Yeni oluşturulan nesneyi döndürür.
 
 
</div>
 
</div>
  
The thickness of the ShapeString can be added by overwriting its {{incode|Extrusion}} attribute; the value is entered in millimeters.
+
{{Code|code=
 +
PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
 +
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
 +
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
 +
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]
 +
}}
  
The placement of the ShapeString can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.
+
<div class="mw-translate-fuzzy">
 +
Yüz kaplama kalınlığı {{incode | Extrusion}} özniteliğinin üzerine yazılarak eklenebilir; değer milimetre cinsinden girilir.
 +
</div>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
Yüz kaplamanın yerleşimi, {{incode | Placement}} özniteliğinin üzerine yazarak veya {{incode | Placement.Base}} ve {{incode | Placement.Rotation}} özniteliklerinin üzerine yazılarak değiştirilebilir.
 +
</div>
  
 
Örnek:
 
Örnek:
 
{{Code|code=
 
{{Code|code=
import FreeCAD, FreeCADGui, Draft
+
import FreeCAD
 +
import FreeCADGui
 +
import Draft
  
 
# Insert a solid box
 
# Insert a solid box
Line 73: Line 98:
 
Box.Height = 1000
 
Box.Height = 1000
  
# Pick any two side faces, and then
+
# selection = FreeCADGui.Selection.getSelectionEx()
selection = FreeCADGui.Selection.getSelectionEx()
+
selection = [(Box, ("Face1", "Face6"))]
 
Facebinder = Draft.makeFacebinder(selection)
 
Facebinder = Draft.makeFacebinder(selection)
 
Facebinder.Extrusion = 50
 
Facebinder.Extrusion = 50
Line 82: Line 107:
 
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
 
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
 
}}
 
}}
 +
 +
<div class="mw-translate-fuzzy">
 +
{{Draft Tools navi/tr}}
 +
{{Userdocnavi/tr}}
 +
</div>
  
 
{{Draft Tools navi}}
 
{{Draft Tools navi}}
 +
 
{{Userdocnavi}}
 
{{Userdocnavi}}
 
{{clear}}
 
{{clear}}

Latest revision as of 09:39, 25 October 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft ShapeString.svg ShapeString

Official icon not found Yüz kaplama

Menü konumu
Taslak → Yüz kaplama
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
F F
Versiyonda tanıtıldı
0.14
Ayrıca bkz
Parça Kutu, Mimari Duvar


Açıklama

Yüz kaplama aracı, katı bir nesnenin seçilen yüzlerinden bir yüzey nesnesi oluşturur. Parametriktir, yani eğer orijinal nesneyi değiştirirseniz, Facebinder buna göre güncellenir. Facebinder'ı hareket ettirip döndürürseniz, orijinal yüzlere bağlı kalacaktır.

Başka nesnelerden gelen bir yüz koleksiyonundan bir ekstrüzyon oluşturmak için kullanılabilir. Mimari tasarımda , örneğin duvar kağıdı veya duvar kaplaması gibi çeşitli duvarları kapsayan bir nesneyi inşa etmek tipik bir kullanımdır.

Draft facebinder example.jpg

Yüz kaplama ile katı duvarların yüzlerinden oluşturulmuş


Nasıl kullanılır

  1. Bir yüz seçin veya Ctrl tuşunu basılı tutun ve katı nesnelerden birkaç yüz seçin.
  2. Draft Facebinder.png Taslak Yüz kaplama düğmesine basın veya F ardından F tuşlarına basın.

Yüz kaplama, ağaç görünümündeki öğeye çift tıklayarak düzenlenebilir. Sonra nesnenin parçası olan yüzleri değiştirebilirsiniz.

  • Bir yüz eklemek için, 3D görünümünde katı bir nesnenin yüzüne tıklayın ve ardından Arch Add.svg Ekle düğmesine tıklayın.
  • Bir yüzü kaldırmak için listedeki alt öğelerden birini seçin ve ardından Arch Remove.svg Kaldır düğmesine tıklayın.
  • Düzenlemeyi tamamlamak için Esc veya OK düğmesine basınız.

Seçenekler

Bu nesnenin oluşturulurken hiçbir seçeneği yoktur. Yüz kaplama nesnesini oluşturmak için sadece seçilen yüzler kullanılacaktır.

Özellikler

Veri

  • Data Extrusion: şeklin tüm yüzlerine uygulanacak bir ekstrüzyon kalınlığı belirtir.
  • Data Remove Splitter: True ise, Ekstrüzerin iç kavşaklarını ekstrüzyon sırasında birleştirmeye çalışır.
  • Data Sew: True ise, Ekstrüder üzerine ekstrüzyon sırasında topolojik bir dikiş işlemi gerçekleştirmeye çalışır.

Görünüm

  • View Pattern: şeklin yüzünü doldurmak için bir Taslak Deseni belirtir. Bu özellik yalnızca View Display Mode "Düz Çizgiler" ise çalışır.
  • View Pattern Size: Taslak Deseni 'nin boyutunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Yüz kaplama aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Facebinder = makeFacebinder(selectionset)
  • Bir Facebinder nesnesini, FreeCADGui.Selection.getSelectionEx() tarafından döndürülenler gibi SelectionObject 'ların bir listesi olan verilen choiceset nesnesinden oluşturur.
  • Sadece seçilen yüzler dikkate alınır.
PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

Yüz kaplama kalınlığı Extrusion özniteliğinin üzerine yazılarak eklenebilir; değer milimetre cinsinden girilir.

Yüz kaplamanın yerleşimi, Placement özniteliğinin üzerine yazarak veya Placement.Base ve Placement.Rotation özniteliklerinin üzerine yazılarak değiştirilebilir.

Örnek:

import FreeCAD
import FreeCADGui
import Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# selection = FreeCADGui.Selection.getSelectionEx()
selection = [(Box, ("Face1", "Face6"))]
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)